




.inPageNav {
  margin-top:map-get($mobile, space-lg);

  @include breakpoint($medium) {
    margin-top: map-get($desktop, space-md);
  }

  .container {
    display:block;
  }

  .inPageNav__trigger {
    font-weight:200;
    @include rhythm(18,22);
    border-bottom:1px solid $border-color;
    position:relative;
    padding-bottom:0.2rem;

    a {
      display:block;

      &:hover {
        @include breakpoint($medium) {
          color:$link-color;
        }
      }
    }

    .icon {
      position:absolute;
      top:50%;
      transform:translateY(-50%);
      right:0;
      transition:all linear 200ms;
      width:10px;
      pointer-events: none;

      svg {
        width:100%;
      }

    }

    &.active {
      .icon {
        transform:rotate(180deg) translateY(50%);
      }
    }

  }

  .inPageNav__marker {
    display:block;
    position:absolute;
    bottom:0;
    height:2px;
    background-color:$link-color-hover;
    width:0;
    left:0;
    opacity:0;
    z-index:2;
    transition:all ease 500ms;

    &.hover {
      background-color:$link-color-hover;
    }

    &.visible {
      opacity:1;
    }

    &.invisible {
      transition:none;
    }

    &.animate {
      transition:all ease 500ms;
    }

  }

  nav {
    position:relative;
    padding-bottom:1rem;
    border-bottom:1px solid $border-color;

    > ul {
      margin:0.5rem 0;

      @include breakpoint($large) {
        display:flex;
      }

      > li {
        position:relative;

       &:last-child {
          padding-right:0;
        }

        > a {
          font-weight:200;
          @include rhythm(15,22);
          padding:0.5rem 0;
          position:relative;
          cursor: pointer;

          @include breakpoint($large) {
            @include rhythm(18,24);
            padding-right:1rem;
          }

          .icon {
            margin-left: 0.4rem;
            width: 10px;
            top:0.5rem;
            position: absolute;
            right: 0;

            svg {
              width:100% !important;
            }
          }
        }

        &.selected {
          > a {
            font-weight:600;

            span {
              position:relative;
              &:after {
                content:"";
                display:block;
                position:absolute;
                bottom:-1px;
                height:2px;
                width:104%;
                background-color:$link-color;
                left:-2%;
                z-index:1;

                @include breakpoint($large) {
                  bottom:-33px;
                }
              }
            }

          }
        }

        &.active {
          > a {
            color:#000 !important;
            z-index: 5;
          }

          .icon path {
            fill:#000;
          }
        }
      }
    }
  }

  &.mini {
    margin-bottom: 0;

    .container {
      display:block;

      @include breakpoint($large) {
        padding:0;
      }
    }

    nav {
      padding:0;
      border:none;
      align-items:center;

      @include breakpoint($large) {
        display:flex;
      }

      > ul {
        margin:0;
        padding:0;

        > li {
          &.selected {
            >a {
              span {
                &:after {
                  @include breakpoint($large) {
                    bottom: -16px;
                  }
                }
              }
            }
          }
        }

        > a {
          font-size:16px;
        }
      }
    }

  }

  &.product {
    .inPageNav__trigger {
      a {
        padding-right:20px;
        @include font-size(15);
        padding:0.7rem 20px 0.7rem 0;

        &:before {
        }
      }

      .icon {
        top:0.7rem;
        transform:none;
        svg {
          path {
            fill:#fff;
          }
        }
      }

      &.active {
      .icon {
        transform:rotate(-180deg);
      }
    }

    }

    .contentExpander {
      //margin-top:calc(0.5rem - 2px);
    }

    .inPageNav__marker {
      background:#fff;
    }

  }

  .contentExpander {
    background:#fff;
    box-shadow:0 5px 5px rgba(0,0,0,0.1)
  }

}

.articleHubNav, .media-library-nav {
  opacity:1;
  nav {
    ul {
      li {
        a {
          padding-right:map-get($desktop, space-md);
          display:block;

          .icon {
            display:none;
          }
        }
      }
    }
  }
}
